<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasubcategoria = array();
	$tdatasubcategoria[".NumberOfChars"] = 80; 
	$tdatasubcategoria[".ShortName"] = "subcategoria";
	$tdatasubcategoria[".OwnerID"] = "";
	$tdatasubcategoria[".OriginalTable"] = "subcategoria";

//	field labels
$fieldLabelssubcategoria = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelssubcategoria["Spanish"] = array();
	$fieldToolTipssubcategoria["Spanish"] = array();
	$fieldLabelssubcategoria["Spanish"]["idsubcategoria"] = "Idsubcategoria";
	$fieldToolTipssubcategoria["Spanish"]["idsubcategoria"] = "";
	$fieldLabelssubcategoria["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipssubcategoria["Spanish"]["nombre"] = "";
	if (count($fieldToolTipssubcategoria["Spanish"]))
		$tdatasubcategoria[".isUseToolTips"] = true;
}
	
	
	$tdatasubcategoria[".NCSearch"] = true;



$tdatasubcategoria[".shortTableName"] = "subcategoria";
$tdatasubcategoria[".nSecOptions"] = 0;
$tdatasubcategoria[".recsPerRowList"] = 1;
$tdatasubcategoria[".mainTableOwnerID"] = "";
$tdatasubcategoria[".moveNext"] = 1;
$tdatasubcategoria[".nType"] = 0;

$tdatasubcategoria[".strOriginalTableName"] = "subcategoria";




$tdatasubcategoria[".showAddInPopup"] = false;

$tdatasubcategoria[".showEditInPopup"] = false;

$tdatasubcategoria[".showViewInPopup"] = false;

$tdatasubcategoria[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdatasubcategoria[".listAjax"] = true;
else 
	$tdatasubcategoria[".listAjax"] = false;

	$tdatasubcategoria[".audit"] = false;

	$tdatasubcategoria[".locking"] = false;

$tdatasubcategoria[".inlineEdit"] = true;
$tdatasubcategoria[".inlineAdd"] = true;

$tdatasubcategoria[".exportTo"] = true;


$tdatasubcategoria[".delete"] = true;

$tdatasubcategoria[".showSimpleSearchOptions"] = false;

$tdatasubcategoria[".showSearchPanel"] = true;

if (isMobile())
	$tdatasubcategoria[".isUseAjaxSuggest"] = false;
else 
	$tdatasubcategoria[".isUseAjaxSuggest"] = true;

$tdatasubcategoria[".rowHighlite"] = true;

// button handlers file names

$tdatasubcategoria[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasubcategoria[".isUseTimeForSearch"] = false;




$tdatasubcategoria[".allSearchFields"] = array();

$tdatasubcategoria[".allSearchFields"][] = "nombre";

$tdatasubcategoria[".googleLikeFields"][] = "idsubcategoria";
$tdatasubcategoria[".googleLikeFields"][] = "nombre";


$tdatasubcategoria[".advSearchFields"][] = "nombre";

$tdatasubcategoria[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatasubcategoria[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasubcategoria[".strOrderBy"] = $tstrOrderBy;

$tdatasubcategoria[".orderindexes"] = array();

$tdatasubcategoria[".sqlHead"] = "SELECT idsubcategoria,   nombre";
$tdatasubcategoria[".sqlFrom"] = "FROM subcategoria";
$tdatasubcategoria[".sqlWhereExpr"] = "";
$tdatasubcategoria[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasubcategoria[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasubcategoria[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssubcategoria = array();
$tableKeyssubcategoria[] = "idsubcategoria";
$tdatasubcategoria[".Keys"] = $tableKeyssubcategoria;

$tdatasubcategoria[".listFields"] = array();
$tdatasubcategoria[".listFields"][] = "nombre";

$tdatasubcategoria[".viewFields"] = array();

$tdatasubcategoria[".addFields"] = array();
$tdatasubcategoria[".addFields"][] = "nombre";

$tdatasubcategoria[".inlineAddFields"] = array();
$tdatasubcategoria[".inlineAddFields"][] = "nombre";

$tdatasubcategoria[".editFields"] = array();

$tdatasubcategoria[".inlineEditFields"] = array();
$tdatasubcategoria[".inlineEditFields"][] = "nombre";

$tdatasubcategoria[".exportFields"] = array();
$tdatasubcategoria[".exportFields"][] = "idsubcategoria";
$tdatasubcategoria[".exportFields"][] = "nombre";

$tdatasubcategoria[".printFields"] = array();

//	idsubcategoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idsubcategoria";
	$fdata["GoodName"] = "idsubcategoria";
	$fdata["ownerTable"] = "subcategoria";
	$fdata["Label"] = "Idsubcategoria"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idsubcategoria"; 
		$fdata["FullName"] = "idsubcategoria";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasubcategoria["idsubcategoria"] = $fdata;
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "subcategoria";
	$fdata["Label"] = "Nombre"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nombre"; 
		$fdata["FullName"] = "nombre";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=45";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasubcategoria["nombre"] = $fdata;

	
$tables_data["subcategoria"]=&$tdatasubcategoria;
$field_labels["subcategoria"] = &$fieldLabelssubcategoria;
$fieldToolTips["subcategoria"] = &$fieldToolTipssubcategoria;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["subcategoria"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["subcategoria"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_subcategoria()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idsubcategoria,   nombre";
$proto0["m_strFrom"] = "FROM subcategoria";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idsubcategoria",
	"m_strTable" => "subcategoria"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "subcategoria"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto9=array();
$proto9["m_link"] = "SQLL_MAIN";
			$proto10=array();
$proto10["m_strName"] = "subcategoria";
$proto10["m_columns"] = array();
$proto10["m_columns"][] = "idsubcategoria";
$proto10["m_columns"][] = "nombre";
$obj = new SQLTable($proto10);

$proto9["m_table"] = $obj;
$proto9["m_alias"] = "";
$proto11=array();
$proto11["m_sql"] = "";
$proto11["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto11["m_column"]=$obj;
$proto11["m_contained"] = array();
$proto11["m_strCase"] = "";
$proto11["m_havingmode"] = "0";
$proto11["m_inBrackets"] = "0";
$proto11["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto11);

$proto9["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto9);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_subcategoria = createSqlQuery_subcategoria();
		$tdatasubcategoria[".sqlquery"] = $queryData_subcategoria;
	
if(isset($tdatasubcategoria["field2"])){
	$tdatasubcategoria["field2"]["LookupTable"] = "carscars_view";
	$tdatasubcategoria["field2"]["LookupOrderBy"] = "name";
	$tdatasubcategoria["field2"]["LookupType"] = 4;
	$tdatasubcategoria["field2"]["LinkField"] = "email";
	$tdatasubcategoria["field2"]["DisplayField"] = "name";
	$tdatasubcategoria[".hasCustomViewField"] = true;
}

$tableEvents["subcategoria"] = new eventsBase;
$tdatasubcategoria[".hasEvents"] = false;

$cipherer = new RunnerCipherer("subcategoria");

?>